Subject: Re: bug#24280: 25.1; emacs crashes in x2go session

From: [email-masked]
Date: Sun, 21 Aug 2016 20:58:42 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked]
>> Date: Sun, 21 Aug 2016 19:00:31 +0200
>> 
>> as you can see, the tooltip timer is still called.
>
> Not just the tooltip timer, the tooltip as well:
>
>   #10 0x00007ffff470f351 in XQueryPointer () at /lib64/libX11.so.6
>   #11 0x00007ffff6745aca in gdk_x11_device_core_query_state () at /lib64/libgdk-3.so.0
>   #12 0x00007ffff67626a5 in gdk_window_x11_get_device_state () at /lib64/libgdk-3.so.0
>   #13 0x00007ffff6738dbb in gdk_window_get_device_position_double () at /lib64/libgdk-3.so.0
>   #14 0x00007ffff6738ebd in gdk_window_get_device_position () at /lib64/libgdk-3.so.0
>   #15 0x00007ffff6cf09d9 in gtk_tooltip_show_tooltip () at /lib64/libgtk-3.so.0
>   #16 0x00007ffff6cf0f34 in tooltip_popup_timeout () at /lib64/libgtk-3.so.0
>
> Does this mean GTK tooltips cannot be disabled from within Emacs?

I'm not sure. In my other setup which does work, I can do m-x
tooltip-mode, and the tooltip windows go away and are replaced by
messages. But I'm not sure how the code works, maybe an invisible
tooltip is 'shown' anyway, or something like that.

I had a brief look at commenting out the tooltip code but it wasn't
immediately obvious how to do that.

-- 
Joakim Verona